> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getpaperjet.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update an existing model

> Update an existing model



## OpenAPI

````yaml put /api/v1/admin/models/update
openapi: 3.1.0
info:
  title: PaperJet API
  description: Secure document extraction API
  version: 1.0.0
servers:
  - url: https://app.getpaperjet.com
    description: Production Server
security:
  - apiKeyAuth: []
paths:
  /api/v1/admin/models/update:
    put:
      description: Update an existing model
      operationId: putApiV1AdminModelsUpdate
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                id:
                  type: string
                provider:
                  type: string
                  enum:
                    - google
                    - openai
                    - openrouter
                    - custom
                providerApiKey:
                  type: string
                  minLength: 1
                modelName:
                  type: string
                  minLength: 1
                displayName:
                  type: string
                baseUrl:
                  type: string
                isCore:
                  type: boolean
                isVision:
                  type: boolean
              required:
                - id
                - provider
                - providerApiKey
                - modelName
                - isCore
                - isVision
      responses:
        '200':
          description: Model updated successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                  model:
                    type: object
                    properties:
                      id:
                        type: string
                      provider:
                        type: string
                      providerApiKey:
                        type: string
                      modelName:
                        type: string
                      displayName:
                        type: string
                      baseUrl:
                        type: string
                    required:
                      - id
                      - provider
                      - modelName
                      - displayName
                required:
                  - success
                  - model
        '500':
          description: Error response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````